#
# spec file for package icmake
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           icmake
BuildRequires:  bison
BuildRequires:  flex
Version:        7.20.00
Release:        6.4
Summary:        A program maintenance (make) utility using a C-like grammar
License:        GPL-3.0
Group:          Development/Tools/Building
Url:            http://icmake.sourceforge.net/
Source:         %{name}_%{version}.orig.tar.gz
Patch:          adapt-examples-path.patch
Patch1:         prevent-double-slash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{_bindir}/%{name}

%description
Icmake allows the programmer to use a program language (closely
resembling the well-known C-programming language) to define the
actions involved in (complex) program maintenance. For this, icmake
offers various special operators as well as a set of support functions
that have proven to be useful in program maintenance.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
echo "/* created during rpmbuild */" > INSTALL.im
echo "#define BINDIR      \"%{_bindir}\"" >> INSTALL.im
echo "#define SKELDIR     \"%{_datadir}/%{name}\"" >> INSTALL.im
echo "#define MANDIR      \"%{_mandir}\"" >> INSTALL.im
echo "#define LIBDIR      \"%{_libdir}/%{name}\"" >> INSTALL.im
echo "#define CONFDIR     \"%{_sysconfdir}/%{name}\"" >> INSTALL.im
%if 0%{?suse_version}
echo "#define DOCDIR      \"%{_docdir}/%{name}\"" >> INSTALL.im
echo "#define DOCDOCDIR   \"%{_docdir}/%{name}\"" >> INSTALL.im
%else
echo "#define DOCDIR      \"%{_docdir}/%{name}-%{version}\"" >> INSTALL.im
echo "#define DOCDOCDIR   \"%{_docdir}/%{name}-%{version}\"" >> INSTALL.im
%endif

./icm_bootstrap ""


%install
./icm_install strip all %{buildroot}


%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)

%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/*
%doc changelog

%doc %{_mandir}/man1/*
%doc %{_mandir}/man7/*

%changelog
* Sun Jul 28 2013 p.drouand@gmail.com
- Update to version 7.20.00
  * added missing '\n' to the strtok call in icmbuild's 'dependenciesOf'
    function
  * line continuation in CLASSES results in one line being counted in the
    icmbuild script.
  * Added suggestions by Johann 'Myrkraverk' Oskarsson about compiling icmake
    on solaris (in ./contributions/solaris)
* Thu Jan  3 2013 kkaempf@suse.com
- Clarified license with author: GPL-3.0 (bnc#795979)
* Wed Dec 12 2012 kkaempf@suse.com
- Fix doc path for RedHat/CentOS
* Wed Dec 12 2012 kkaempf@suse.com
- Initial version 7.19.00
